Mac OS X Help Plase!

Please, I need to know, if blender, work on old Mac OS version, Like V9.0.

Blender only runs on OS X 10.2 and higher